Index: main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/accesscode.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/accesscode.py	(revision 7811)
+++ main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/accesscode.py	(revision 7819)
@@ -31,5 +31,5 @@
 from hurry.workflow.interfaces import IWorkflowInfo, IWorkflowState
 from random import SystemRandom as random
-from waeup.kofa.interfaces import IKOFAPluggable, IObjectHistory
+from waeup.kofa.interfaces import IKofaPluggable, IObjectHistory
 from waeup.kofa.utils.logger import Logger
 from waeup.kofa.accesscodes.interfaces import (
@@ -415,5 +415,5 @@
 class AccessCodePlugin(grok.GlobalUtility):
     grok.name('accesscodes')
-    grok.implements(IKOFAPluggable)
+    grok.implements(IKofaPluggable)
 
     def setup(self, site, name, logger):
Index: main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/accesscode.txt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/accesscode.txt	(revision 7811)
+++ main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/accesscode.txt	(revision 7819)
@@ -7,5 +7,5 @@
 
 .. :NOdoctest:
-.. :NOlayer: waeup.kofa.testing.KOFAUnitTestLayer
+.. :NOlayer: waeup.kofa.testing.KofaUnitTestLayer
 
 About access-codes
@@ -591,8 +591,8 @@
 .. class:: AccessCodePlugin
 
-  A `waeup.kofa` plugin that updates existing KOFA university
+  A `waeup.kofa` plugin that updates existing Kofa university
   instances so that they provide support for access-codes.
 
-  .. attribute:: grok.implements(IKOFAPluggable)
+  .. attribute:: grok.implements(IKofaPluggable)
   .. attribute:: grok.name('accesscodes')
 
@@ -608,5 +608,5 @@
 
   The AccessCodePlugin is available as a global named utility for the
-  IKOFAPluggable interface named ``accesscodes``.
+  IKofaPluggable interface named ``accesscodes``.
 
   It is looked up by a university instance when created, so that this
@@ -615,6 +615,6 @@
 
     >>> from zope.component import getUtility
-    >>> from waeup.kofa.interfaces import IKOFAPluggable
-    >>> plugin = getUtility(IKOFAPluggable, name='accesscodes')
+    >>> from waeup.kofa.interfaces import IKofaPluggable
+    >>> plugin = getUtility(IKofaPluggable, name='accesscodes')
     >>> plugin
     <waeup.kofa.accesscodes.accesscodes.AccessCodePlugin object at 0x...>
Index: main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/browser.py	(revision 7811)
+++ main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/browser.py	(revision 7819)
@@ -22,9 +22,9 @@
 from hurry.workflow.interfaces import InvalidTransitionError
 from waeup.kofa.browser.resources import datatable
-from waeup.kofa.browser import KOFAPage, KOFAAddFormPage, NullValidator
+from waeup.kofa.browser import KofaPage, KofaAddFormPage, NullValidator
 from waeup.kofa.browser.breadcrumbs import Breadcrumb
 from waeup.kofa.browser.viewlets import (
     AdminTask, AddActionButton, SearchActionButton, BatchOpButton, ManageLink)
-from waeup.kofa.interfaces import IKOFAObject
+from waeup.kofa.interfaces import IKofaObject
 from waeup.kofa.interfaces import MessageFactory as _
 from waeup.kofa.accesscodes.interfaces import (
@@ -34,7 +34,7 @@
 from waeup.kofa.browser.layout import action
 
-grok.context(IKOFAObject)
-
-class BatchContainerPage(KOFAPage):
+grok.context(IKofaObject)
+
+class BatchContainerPage(KofaPage):
     grok.name('index')
     grok.context(IAccessCodeBatchContainer)
@@ -70,5 +70,5 @@
             self.context.logger_info(ob_class, message)
 
-class AddBatchPage(KOFAAddFormPage):
+class AddBatchPage(KofaAddFormPage):
     grok.name('add')
     grok.context(IAccessCodeBatchContainer)
@@ -103,5 +103,5 @@
         self.redirect(self.url(self.context))
 
-class ReimportBatchPage(KOFAPage):
+class ReimportBatchPage(KofaPage):
     """Screen for reimporting AC batches.
     """
@@ -144,5 +144,5 @@
         self.redirect(self.url(self.context))
 
-class BatchContainerSearchPage(KOFAPage):
+class BatchContainerSearchPage(KofaPage):
     grok.name('search')
     grok.context(IAccessCodeBatchContainer)
Index: main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/browser.txt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/browser.txt	(revision 7811)
+++ main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/browser.txt	(revision 7819)
@@ -4,5 +4,5 @@
 .. module:: waeup.kofa.accesscodes.browser
 
-Here we visit the access-code related parts of a KOFA site using
+Here we visit the access-code related parts of a Kofa site using
 a virtual browser.
 
Index: main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/interfaces.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/interfaces.py	(revision 7811)
+++ main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/interfaces.py	(revision 7819)
@@ -20,8 +20,8 @@
 from zope import schema
 from zope.interface import Interface
-from waeup.kofa.interfaces import IKOFAObject
+from waeup.kofa.interfaces import IKofaObject
 from waeup.kofa.interfaces import MessageFactory as _
 
-class IAccessCode(IKOFAObject):
+class IAccessCode(IKofaObject):
     """An access code.
     """
@@ -92,5 +92,5 @@
         )
 
-class IAccessCodeBatchContainer(IKOFAObject):
+class IAccessCodeBatchContainer(IKofaObject):
     """A container for access code batches.
     """
Index: main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/tests/test_accesscode.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/tests/test_accesscode.py	(revision 7811)
+++ main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/tests/test_accesscode.py	(revision 7819)
@@ -29,5 +29,5 @@
 from zope.testing import renormalizing
 from waeup.kofa.app import University
-from waeup.kofa.interfaces import IObjectHistory, IKOFAPluggable
+from waeup.kofa.interfaces import IObjectHistory, IKofaPluggable
 from waeup.kofa.testing import (
     FunctionalLayer, FunctionalTestCase, setUp, tearDown, getRootFolder)
@@ -412,6 +412,6 @@
     def test_iface(self):
         plugin = AccessCodePlugin()
-        assert verifyObject(IKOFAPluggable, plugin)
-        assert verifyClass(IKOFAPluggable, AccessCodePlugin)
+        assert verifyObject(IKofaPluggable, plugin)
+        assert verifyClass(IKofaPluggable, AccessCodePlugin)
 
     def test_update_w_ac_container(self):
Index: main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/workflow.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/workflow.py	(revision 7811)
+++ main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/workflow.py	(revision 7819)
@@ -26,7 +26,7 @@
 from hurry.workflow.interfaces import IWorkflowState, IWorkflowTransitionEvent
 from waeup.kofa.accesscodes.interfaces import IAccessCode
-from waeup.kofa.interfaces import IObjectHistory, IKOFAWorkflowInfo
+from waeup.kofa.interfaces import IObjectHistory, IKofaWorkflowInfo
 from waeup.kofa.interfaces import MessageFactory as _
-from waeup.kofa.workflow import KOFAWorkflow, KOFAWorkflowInfo
+from waeup.kofa.workflow import KofaWorkflow, KofaWorkflowInfo
 
 INITIALIZED = 'initialized'
@@ -113,5 +113,5 @@
     )
 
-accesscode_workflow = KOFAWorkflow(ACCESSCODE_TRANSITIONS)
+accesscode_workflow = KofaWorkflow(ACCESSCODE_TRANSITIONS)
 
 class AccessCodeWorkflowState(WorkflowState, grok.Adapter):
@@ -122,7 +122,7 @@
     state_id = 'wf.accesscode.id'
 
-class AccessCodeWorkflowInfo(KOFAWorkflowInfo, grok.Adapter):
+class AccessCodeWorkflowInfo(KofaWorkflowInfo, grok.Adapter):
     grok.context(IAccessCode)
-    grok.provides(IKOFAWorkflowInfo)
+    grok.provides(IKofaWorkflowInfo)
 
     def __init__(self, context):
